ReflectionClass::isAbstract
ReflectionClass::isFinal
ReflectionClass
PHP Manual

# ReflectionClass::isCloneable

(PHP >= 5.4.0)

ReflectionClass::isCloneable — Returns whether this class is cloneable

### Description

public bool ReflectionClass::isCloneable ( void )

Returns whether this class is cloneable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the class is cloneable, `FALSE` otherwise.

### Examples

Example #1 Basic usage of ReflectionClass::isCloneable()

`<?php
class NotCloneable {
public $var1;
private function __clone() {
}
}
class Cloneable {
public $var1;
}
$notCloneable = new ReflectionClass('NotCloneable');
$cloneable = new ReflectionClass('Cloneable');
var_dump($notCloneable->isCloneable());
var_dump($cloneable->isCloneable());
?>`

The above example will output:

    bool(false)
    bool(true)

ReflectionClass::isAbstract
ReflectionClass::isFinal
ReflectionClass
PHP Manual